<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\DozentenInfo\Detailsreiter\Kurse\PdfListen\TnListen\ShowTnListen;

class ShowTnListenController extends \Kufer\KuferTools\Basis\PdfListen\TnListen\ShowTnListen\ShowTnListenController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new ShowTnListenUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    
    $requestObj = parent::getRequestObj();
    $knrs = \PostOperations::getVarValue('knrs');
    $requestObj->knrAry = explode(':', $knrs);

    return $requestObj;
  }

  protected function getId()
  {
    return \RequestOperations::getVarValue('knr');
  }
}